<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2010 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package InterWorx
 * @author  Malin Lorch <mlorch@liquidweb.com>
 * @date    Apr 20, 2020
 */

/**
 * Mock class for acronis installer.
 */
class Mock_BackupAgent
{

    private $_backupAgentInstalled;

    /**
     *
     * @param boolean $backupAgentInstalled
     */
    public function __construct($backupAgentInstalled)
    {
        $this->_backupAgentInstalled = $backupAgentInstalled;
    }

    /**
     * Install backup agent.
     */
    public function install()
    {
        if ($this->_backupAgentInstalled) {
            throw new Exception('mock - backup agent aleady installed');
        }

        return true;
    }

    /**
     * Uninstall backup agent.
     */
    public function uninstall()
    {
        if (!$this->_backupAgentInstalled) {
            throw new Exception('mock - backup agent not installed!');
        }

        return true;
    }

    /**
     * Is installed.
     */
    public function isInstalled()
    {
        return $this->_backupAgentInstalled;
    }
}
