import {
    hideInProgress,
    showSuccess
} from './backupsHelpers.js';

import {
    handleResponseError
} from '../helpers.js';
import { getAltLocation } from '../sessionStorage/sessionStorage.js';



const $openModalButton  = $(`#${'ab-download-btn'}`);
const recoverButtonId = 'ab-start-download';

export const registerEventListenerAltLocationButton = (functionToCall) => {
    let recoveryButton = `#${recoverButtonId}`;
    $('body').off('click', recoveryButton, functionToCall);
    $('body').on('click', recoveryButton, functionToCall);
}

export const openAltLocationModalOnClick = () => {
    //make sure multiple event handlers aren't added
    $openModalButton.unbind('click');
    $openModalButton.on('click', openModal);
}

const openModal = () => {
        let header = 'Recover to Temp Location';
        let $content = getContent();
        let width = 450;
        iw_lib.popupModal($content, header, null, null, null, width);
}

    const getContent = () => (
        `<div class="ab-modal-content">
            The selected files will be restored to the following location:
            ${getFilesLocation()}

            <button class="ab-buttons" id="${recoverButtonId}">Start recovery</button>
        </div>`
        );


     const getFilesLocation = () => `<code>${getAltLocation()}</code>`;

     export const  callbackRestoreAltLocation = (reply, success) => {
            if (!success) {
                handleResponseError(reply);
            } else {
                hideInProgress();
                showSuccess(`Successfully recovered files to ${getFilesLocation()}. It may take up to 30 minuts for the content to apper on the server.`)
            }
        }