import { getDirIdByPath, setDirId } from '../sessionStorage/sessionStorage.js';
import { displayBreadcrumbs } from './breadcrumbs.js';

export const updateNavigation = (path, id) => {
    if (id) {
        setDirId(path, id);
    }

    window.location.hash = path;
}

export const registerNavigationEventHandler = (functionToCall) => {
    $(window).off('hashchange');
    $(window).on('hashchange', () => {
        let path = getNewPath();
        let dirId = getDirIdByPath(path);

        displayBreadcrumbs(path);
        functionToCall(dirId);
    });
}

// excludes the #
const getNewPath = () => decodeURI(window.location.hash.substr(1));

export const removeHashOnLoad = () => {
    $(window).off("load");
    $(window).on("load", function (event) {
        updateNavigation('');
    });
}