import { openRecoveryModalOnClick } from './recoveryModal.js';
import { openAltLocationModalOnClick } from './altLocationModal.js';
import { getSelectedDirs } from './backupsHelpers.js';
import { toggleVisibility } from '../helpers.js';

const $buttonsContainer = $('#ab-recovery-container');
const $buttons = $buttonsContainer.find('button');

export const displayRecoveryButtons = () => {
    // buttons should be disabled by default
    disableButtons();

    toggleButtonAccessOnCheck();

    if ($buttonsContainer.is(':hidden')) {
        toggleVisibility($buttonsContainer);
    }

    openAltLocationModalOnClick();
    openRecoveryModalOnClick();
}

const toggleButtonAccessOnCheck = () => {
    $('body').off('click', 'input[type=checkbox]', toggleButtonAccess);
    $('body').on('click', 'input[type=checkbox]', toggleButtonAccess);
}

const toggleButtonAccess = () => {
    let boxesChecked = getSelectedDirs().length > 0;

    if (boxesChecked) {
        enableButtons();
    } else {
        disableButtons();
    }
}


const enableButtons = () => $buttons.prop("disabled", false);
const disableButtons = () => $buttons.prop("disabled", true);
