import { displaySpinner } from '../../backups/backupsHelpers.js';
import { loadRecoveryPoint } from './RecoveryPoint.js';
import { registerBackupsEventHandler, listBackupsCallback } from '../../backups/listBackups.js';
import { listBackupsXhr, sendNwCtrlRequest, getAltLocationXhr } from './../../ctrlActions.js';
import { callbackSetAltLocation } from '../../sessionStorage/sessionStorage.js';


export const loadBackups = () => {
    displaySpinner();
    let xhrData = listBackupsXhr();
    sendNwCtrlRequest(xhrData.action, listBackupsCallback);
    registerBackupsEventHandler(loadRecoveryPoint);

    setAltLocation()
}

const setAltLocation = () => {
    let xhrData = getAltLocationXhr();
    sendNwCtrlRequest(xhrData.action, callbackSetAltLocation);
}
