import { registerNavigationEventHandler } from '../../backups/navigation.js';
import { removeBreadcrumbs } from '../../backups/breadcrumbs.js';
import { loadBackups } from './listBackups.js';
import { loadDirectory, loadRecoveryPoint } from './RecoveryPoint.js';

export const activateNavigation = () => registerNavigationEventHandler(handleNavigationChange)

const handleNavigationChange = (id) => {
    if (!id) {
        removeBreadcrumbs();
        loadBackups();
    } else {
        loadDirOrRecoveryPoint(id);
    }
}

const loadDirOrRecoveryPoint = (id) => {
    let isDirId = id.length > 40;

    if (isDirId) {
        loadDirectory(id);
    } else {
        loadRecoveryPoint(id);
    }
}