import {
    abCreateTitleCol,
    abCreateHeaderRight,
    abCreateCol,
    abCreateRow
} from './dashboardHelpers.js';

import {
    handleResponseError
} from '../../helpers.js';

export const abCloudstorageSection = {
    action: 'cloudstorageCommit',
    callback: (reply, success) => {
        if (!success) {
            handleResponseError(reply);
        } else {
            loadCloudSection(reply);
        }
    }
}

const loadCloudSection = (reply) => {
    let $titleCol = abCreateTitleCol('CLOUD STORAGE USAGE');

    let replyData = reply.getReplyData();
    let $storage = abCreateHeaderRight(replyData.size);
    let $storageCol = abCreateCol($storage);

    let children = [$titleCol, $storageCol];
    let $row = abCreateRow(children);

    let $container = $('#dashboard-cloudstorage');
    $container.html($row);
}