const breadcrumbsKey = 'ab-breadcrumbs';
const backupKey = 'ab-backup';
const recoveredFilesKey = 'ab-recovered';
const locationKey = 'ab-sw-alt-location';

export const setBreadcrumbs = (path) => sessionStorage.setItem(breadcrumbsKey, path);
export const getBreadcrumbs = () => sessionStorage.getItem(breadcrumbsKey);
export const deleteBreadcrumbs = () => sessionStorage.removeItem(breadcrumbsKey);

export const setBackupId = (backupId) => sessionStorage.setItem(backupKey, backupId);
export const getBackupId = () => sessionStorage.getItem(backupKey);
export const deleteBackupId = () => sessionStorage.removeItem(backupKey);


export const setDirId = (path, id) => sessionStorage.setItem(path, id);
export const getDirIdByPath = (path) => sessionStorage.getItem(path);
export const getPathById = (id) => sessionStorage.key(id);

export const getCurrentParentId = () => {
    let path = getBreadcrumbs();
    let dirId = getDirIdByPath(path);
    return dirId;
}

export const setRecoveryNames = (names) => sessionStorage.setItem(recoveredFilesKey, names);
export const getRecoveryNames = () => sessionStorage.getItem(recoveredFilesKey);

export const callbackSetAltLocation = (reply, success) => {
    if (success) {
        let replyData = reply.getReplyData();
        setAltLocation(replyData.altLocation);
    }
}

const setAltLocation = (location) => sessionStorage.setItem(locationKey, location);
export const getAltLocation = () => sessionStorage.getItem(locationKey);
