import { displaySpinner } from '../../backups/backupsHelpers.js';
import { loadRecoveryPoint } from './recoveryPoint.js';
import { registerBackupsEventHandler, listBackupsCallback } from '../../backups/listBackups.js';
import { listBackupsXhr, sendSwCtrlRequest, getAltLocationXhr } from './../../ctrlActions.js';
import { callbackSetAltLocation } from '../../sessionStorage/sessionStorage.js';


export const loadBackups = () => {
    displaySpinner();
    let xhrData = listBackupsXhr();
    sendSwCtrlRequest(xhrData.action, listBackupsCallback);
    registerBackupsEventHandler(loadRecoveryPoint);

    setAltLocation();
}

const setAltLocation = () => {
    let xhrData = getAltLocationXhr();
    sendSwCtrlRequest(xhrData.action, callbackSetAltLocation);
}
